=== debian/changelog ===
lapack-ffc5 (3.0.20000531a-29) unstable; urgency=low

  * Compiled by Fujitsu Fortran90 Compiler based on lapack-3.0.20000531a-29 deb package
	
 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 11 Sep 2006 14:27:40 +0900
