## lapack-ffc5 3.0.20000531a-30

=== debian/changelog ===
lapack-ffc5 (3.0.20000531a-30) unstable; urgency=low

  * Test install dir. is changed from /usr/lib/lapack to /usr/lib/lapack-ffc5. 
  * Doc install dir is changed from /usr/share/doc/lapack to
    /usr/share/doc/lapack-ffc5

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Wed, 28 Mar 2007 16:50:49 +0900
