=== debian/control ===
Source: lapack-ffc5
Section: libs
Priority: optional
Maintainer: Camm Maguire <camm@enhanced.com>
Build-Depends: debhelper ( >= 4.1.16 ) , ffc (>=5.0), blas-ffc5-dev
Standards-Version: 3.6.1

Package: lapack-ffc5
Architecture: any
Depends: ${shlibs:Depends}, debconf (>= 1.2.0)
Provides: lapack2
Conflicts: lapack99
Replaces: lapack99
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - shared version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: lapack-ffc5-dev
Architecture: any
Depends: lapack-ffc5 (= ${Source-Version}), libc6-dev, blas-ffc5-dev
Provides: lapack2-dev
Conflicts: lapack99-dev,lapack3-dev
Replaces: lapack99-dev,lapack3-dev
Section: devel
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - static version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.

Package: lapack-ffc5-pic
Architecture: any
Conflicts: lapack3-pic
Replaces: lapack3-pic
Depends: lapack-ffc5 (= ${Source-Version}), libc6-dev, blas-ffc5-dev
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - static PIC version
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 Normally one would want to use non-PIC code for static linking.  In
 this case, install lapack-dev.  This package is provided for other
 packages, such as atlas, needing access to PIC versions of the lapack
 objects in their own build process.

Package: lapack-ffc5-test
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: lapack3-test
Replaces: lapack3-test
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - testing programs
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 These testing and timing programs have been run against the 
 shared library in the lapack package.  The results have been 
 collected in the files test_results and timing_results.  These 
 programs are provided separately here so that the user can 
 test and compare alternate versions of the lapack libraries,
 such as those provided by the atlas packages, and the lapack99
 package.
	
Package: lapack-ffc5-doc
Section: doc
Architecture: all
Conflicts: lapack3-doc
Replaces: lapack3-doc
Description: a library of linear algebra routines compiled by Fujitsu Fortran90 compiler ver. 5 - documentation
 LAPACK version 3.0 is a comprehensive FORTRAN library that does
 linear algebra operations including matrix inversions, least
 squared solutions to linear sets of equations, eigenvector
 analysis, singular value decomposition, etc. It is a very
 comprehensive and reputable package that has found extensive
 use in the scientific community.
 .
 This package contains manual pages for the routines, a 
 "Quick-Reference" guide, release notes, a frequently asked 
 questions document, and a copy of the Lapack User's Guide
 manual in html format.
