=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,7 @@
 UNROLL:=
 
 SUFFIX=_ffc5
+EXT=-ffc5
 LIBNAME=lapack$(SUFFIX)
 DLIBNAME=lib$(LIBNAME).so
 SLIBNAME=lib$(LIBNAME).a
